Bug 484464 - [LTC 6.0 FEAT] Enable yaboot to boot ppc64 relocatable kernels [201806]
[LTC 6.0 FEAT] Enable yaboot to boot ppc64 relocatable kernels [201806]
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yaboot (Show other bugs)
6.0
All All
low Severity medium
: rc
: 6.0
Assigned To: Roman Rakus
Release Test Team
: FutureFeature
Depends On:
Blocks: 356741 554559
  Show dependency treegraph
 
Reported: 2009-02-06 18:10 EST by IBM Bug Proxy
Modified: 2014-01-12 19:08 EST (History)
5 users (show)

See Also:
Fixed In Version: yaboot-1.3.14-9.fc11
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 10:02:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 51552 None None None Never

  None (edit)
Description IBM Bug Proxy 2009-02-06 18:10:27 EST
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[201806]
a. Name of Feature:	Enable yaboot to boot ppc64 relocatable kernels
b. Feature Description
Current yaboot boot loader will not load PPC64 relocatable kernels. Update yaboot to boot
relocatable kernels also. This is the supported user space feature related to the kernel feature 201283.

Additional Comments:	Submitted the patche to yaboot devel mailing list
(http://ozlabs.org/pipermail/yaboot-devel/2008-December/000250.html). The patch has been ACK'ed by
PPC64 maintainer Paul Mackerras.

2. Feature Details:
Sponsor:	LTC
Architectures:
ppc64

Arch Specificity: Purely Arch Specific Code
Affects Core Kernel: Yes
Delivery Mechanism: 
Category:	RAS
Request Type:	Package - Feature from IBM
d. Upstream Acceptance:	Submitted
Sponsor Priority	
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	

3. Business Case
It helps customers to boot relocatable kernels. Kdump on PPC64 now uses CONFIG_RELOCATABLE feature
and in order to boot regular kernel (first kernel) with CONFIG_RELOCATABLE, through yaboot, would
need this feature.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Mounir Bsaibes, bsaibes@us.ibm.com, 512-838-1301

Technical contact(s):
Maneesh Soni, smaneesh@in.ibm.com
Mohan Kumar1, mohankumar@in.ibm.com

IBM Manager:
Naren A Devaiah, naren.devaiah@in.ibm.com
Comment 1 Roman Rakus 2009-02-17 05:55:40 EST
Already in rawhide: yaboot-1.3.14-9.fc11
Comment 2 releng-rhel@redhat.com 2009-10-29 09:44:30 EDT
Fixed in 'yaboot-1.3.14-9.fc11'. 'yaboot-1.3.14-19.el6' included in compose 'RHEL6.0-20091028.0'.
Moving to ON_QA.
Comment 3 Jan Stodola 2010-08-05 08:36:12 EDT
Successfully booted with relocatable kernel:

[root@ibm-js22-vios-02-lp4 /]# uname -r
2.6.32-54.el6.ppc64
[root@ibm-js22-vios-02-lp4 /]# grep RELOCATABLE /boot/config-2.6.32-54.el6.ppc64 
CONFIG_RELOCATABLE=y
[root@ibm-js22-vios-02-lp4 /]# rpm -qa | grep yaboot
yaboot-1.3.14-34.el6.ppc

Build: RHEL6.0-20100730.5

Moving to VERIFIED
Comment 4 releng-rhel@redhat.com 2010-11-11 10:02:33 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.